<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ReplaceItemWithNewLambda Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d3e/class_replace_item_with_new_lambda.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ReplaceItemWithNewLambda Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>adds automatic QuickBar handling  
 <a href="../../dc/d3e/class_replace_item_with_new_lambda.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for ReplaceItemWithNewLambda:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../dc/d3e/class_replace_item_with_new_lambda.png" usemap="#ReplaceItemWithNewLambda_map" alt=""/>
  <map id="ReplaceItemWithNewLambda_map" name="ReplaceItemWithNewLambda_map">
<area href="../../d5/de4/class_replace_item_with_new_lambda_base.html" title="base class for transformation operations (creating one item from another)" alt="ReplaceItemWithNewLambdaBase" shape="rect" coords="0,0,201,24"/>
<area href="../../de/d97/class_action_collect_blood_target_lambda.html" alt="ActionCollectBloodTargetLambda" shape="rect" coords="0,112,201,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a3788fb0495d89b1b6ab79734ed05a222"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3e/class_replace_item_with_new_lambda.html#a3788fb0495d89b1b6ab79734ed05a222">TurnItemIntoItemLambda</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> old_item, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> new_item_type, <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a3788fb0495d89b1b6ab79734ed05a222"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a82c52914b4d0b626ee7dbc5f21e8b5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3e/class_replace_item_with_new_lambda.html#a5a82c52914b4d0b626ee7dbc5f21e8b5">SetTransferParams</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> transfer_agents=true, <a class="el" href="../../d9/db9/classbool.html">bool</a> transfer_variables=true, <a class="el" href="../../d9/db9/classbool.html">bool</a> transfer_health=true, <a class="el" href="../../d9/db9/classbool.html">bool</a> exclude_quantity=false, <a class="el" href="../../d4/dc3/classfloat.html">float</a> quantity_override=-1)</td></tr>
<tr class="separator:a5a82c52914b4d0b626ee7dbc5f21e8b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d48a1851c89983438de8219a1f3b2d8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3e/class_replace_item_with_new_lambda.html#a1d48a1851c89983438de8219a1f3b2d8">CopyOldPropertiesToNew</a> (notnull <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> old_item, <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> new_item)</td></tr>
<tr class="separator:a1d48a1851c89983438de8219a1f3b2d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f7bf6c46d0b50a92311970ef2109e0d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3e/class_replace_item_with_new_lambda.html#a2f7bf6c46d0b50a92311970ef2109e0d">VerifyItemTypeBySlotType</a> ()</td></tr>
<tr class="memdesc:a2f7bf6c46d0b50a92311970ef2109e0d"><td class="mdescLeft">&#160;</td><td class="mdescRight">if attaching from att.slot to att.slot, skips the change to "ground" version. Allows for correct property transfers.  <a href="../../dc/d3e/class_replace_item_with_new_lambda.html#a2f7bf6c46d0b50a92311970ef2109e0d">More...</a><br /></td></tr>
<tr class="separator:a2f7bf6c46d0b50a92311970ef2109e0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68c6ee8a41392764d7161bf859287ae3"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3e/class_replace_item_with_new_lambda.html#a68c6ee8a41392764d7161bf859287ae3">OnSuccess</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> new_item)</td></tr>
<tr class="separator:a68c6ee8a41392764d7161bf859287ae3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63f06f8912fc52c4817eb5686eae3be4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3e/class_replace_item_with_new_lambda.html#a63f06f8912fc52c4817eb5686eae3be4">ReplaceItemWithNewLambda</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> old_item, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> new_item_type, <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a63f06f8912fc52c4817eb5686eae3be4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d48a1851c89983438de8219a1f3b2d8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3e/class_replace_item_with_new_lambda.html#a1d48a1851c89983438de8219a1f3b2d8">CopyOldPropertiesToNew</a> (notnull <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> old_item, <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> new_item)</td></tr>
<tr class="separator:a1d48a1851c89983438de8219a1f3b2d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68c6ee8a41392764d7161bf859287ae3"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3e/class_replace_item_with_new_lambda.html#a68c6ee8a41392764d7161bf859287ae3">OnSuccess</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> new_item)</td></tr>
<tr class="separator:a68c6ee8a41392764d7161bf859287ae3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a295f8b679d27c5290e3815174dec12d1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3e/class_replace_item_with_new_lambda.html#a295f8b679d27c5290e3815174dec12d1">m_TransferAgents</a></td></tr>
<tr class="separator:a295f8b679d27c5290e3815174dec12d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43886a34883ab2f02c9415e8796ba408"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3e/class_replace_item_with_new_lambda.html#a43886a34883ab2f02c9415e8796ba408">m_TransferVariables</a></td></tr>
<tr class="separator:a43886a34883ab2f02c9415e8796ba408"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08cc096c7becdb5942b0cdcecf888b2f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3e/class_replace_item_with_new_lambda.html#a08cc096c7becdb5942b0cdcecf888b2f">m_TransferHealth</a></td></tr>
<tr class="separator:a08cc096c7becdb5942b0cdcecf888b2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a164b28a72623e7a9d9ac0007854af93e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3e/class_replace_item_with_new_lambda.html#a164b28a72623e7a9d9ac0007854af93e">m_ExcludeQuantity</a></td></tr>
<tr class="separator:a164b28a72623e7a9d9ac0007854af93e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38dcb9cc8f53fcd4e42b5ebe2e0d67da"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3e/class_replace_item_with_new_lambda.html#a38dcb9cc8f53fcd4e42b5ebe2e0d67da">m_quantity_override</a></td></tr>
<tr class="separator:a38dcb9cc8f53fcd4e42b5ebe2e0d67da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91ff608df83af9d05a652cc78ed5f8bd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3e/class_replace_item_with_new_lambda.html#a91ff608df83af9d05a652cc78ed5f8bd">m_Player</a></td></tr>
<tr class="separator:a91ff608df83af9d05a652cc78ed5f8bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a836cd4526b2c08b3330f21056644b1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d3e/class_replace_item_with_new_lambda.html#a0a836cd4526b2c08b3330f21056644b1">m_IndexQB</a></td></tr>
<tr class="separator:a0a836cd4526b2c08b3330f21056644b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >adds automatic QuickBar handling </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d98/_misc_gameplay_functions_8c_source.html#l00001">1</a> of file <a class="el" href="../../dc/d98/_misc_gameplay_functions_8c_source.html">MiscGameplayFunctions.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a63f06f8912fc52c4817eb5686eae3be4" name="a63f06f8912fc52c4817eb5686eae3be4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63f06f8912fc52c4817eb5686eae3be4">&#9670;&#160;</a></span>ReplaceItemWithNewLambda()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ReplaceItemWithNewLambda::ReplaceItemWithNewLambda </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>old_item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>new_item_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d2a/_replace_item_with_new_lambda_8c_source.html#l00009">9</a> of file <a class="el" href="../../de/d2a/_replace_item_with_new_lambda_8c_source.html">ReplaceItemWithNewLambda.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a1d48a1851c89983438de8219a1f3b2d8" name="a1d48a1851c89983438de8219a1f3b2d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d48a1851c89983438de8219a1f3b2d8">&#9670;&#160;</a></span>CopyOldPropertiesToNew() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ReplaceItemWithNewLambda::CopyOldPropertiesToNew </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>old_item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>new_item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d98/_misc_gameplay_functions_8c_source.html#l00023">23</a> of file <a class="el" href="../../dc/d98/_misc_gameplay_functions_8c_source.html">MiscGameplayFunctions.c</a>.</p>

</div>
</div>
<a id="a1d48a1851c89983438de8219a1f3b2d8" name="a1d48a1851c89983438de8219a1f3b2d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d48a1851c89983438de8219a1f3b2d8">&#9670;&#160;</a></span>CopyOldPropertiesToNew() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ReplaceItemWithNewLambda::CopyOldPropertiesToNew </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>old_item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>new_item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d2a/_replace_item_with_new_lambda_8c_source.html#l00023">23</a> of file <a class="el" href="../../de/d2a/_replace_item_with_new_lambda_8c_source.html">ReplaceItemWithNewLambda.c</a>.</p>

</div>
</div>
<a id="a68c6ee8a41392764d7161bf859287ae3" name="a68c6ee8a41392764d7161bf859287ae3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68c6ee8a41392764d7161bf859287ae3">&#9670;&#160;</a></span>OnSuccess() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ReplaceItemWithNewLambda::OnSuccess </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>new_item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d98/_misc_gameplay_functions_8c_source.html#l00081">81</a> of file <a class="el" href="../../dc/d98/_misc_gameplay_functions_8c_source.html">MiscGameplayFunctions.c</a>.</p>

</div>
</div>
<a id="a68c6ee8a41392764d7161bf859287ae3" name="a68c6ee8a41392764d7161bf859287ae3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68c6ee8a41392764d7161bf859287ae3">&#9670;&#160;</a></span>OnSuccess() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ReplaceItemWithNewLambda::OnSuccess </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>new_item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d2a/_replace_item_with_new_lambda_8c_source.html#l00033">33</a> of file <a class="el" href="../../de/d2a/_replace_item_with_new_lambda_8c_source.html">ReplaceItemWithNewLambda.c</a>.</p>

</div>
</div>
<a id="a5a82c52914b4d0b626ee7dbc5f21e8b5" name="a5a82c52914b4d0b626ee7dbc5f21e8b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a82c52914b4d0b626ee7dbc5f21e8b5">&#9670;&#160;</a></span>SetTransferParams()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ReplaceItemWithNewLambda::SetTransferParams </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>transfer_agents</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>transfer_variables</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>transfer_health</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>exclude_quantity</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>quantity_override</em> = <code>-1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d98/_misc_gameplay_functions_8c_source.html#l00014">14</a> of file <a class="el" href="../../dc/d98/_misc_gameplay_functions_8c_source.html">MiscGameplayFunctions.c</a>.</p>

</div>
</div>
<a id="a3788fb0495d89b1b6ab79734ed05a222" name="a3788fb0495d89b1b6ab79734ed05a222"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3788fb0495d89b1b6ab79734ed05a222">&#9670;&#160;</a></span>TurnItemIntoItemLambda()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ReplaceItemWithNewLambda::TurnItemIntoItemLambda </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>old_item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>new_item_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d98/_misc_gameplay_functions_8c_source.html#l00009">9</a> of file <a class="el" href="../../dc/d98/_misc_gameplay_functions_8c_source.html">MiscGameplayFunctions.c</a>.</p>

</div>
</div>
<a id="a2f7bf6c46d0b50a92311970ef2109e0d" name="a2f7bf6c46d0b50a92311970ef2109e0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f7bf6c46d0b50a92311970ef2109e0d">&#9670;&#160;</a></span>VerifyItemTypeBySlotType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ReplaceItemWithNewLambda::VerifyItemTypeBySlotType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>if attaching from att.slot to att.slot, skips the change to "ground" version. Allows for correct property transfers. </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d98/_misc_gameplay_functions_8c_source.html#l00046">46</a> of file <a class="el" href="../../dc/d98/_misc_gameplay_functions_8c_source.html">MiscGameplayFunctions.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a164b28a72623e7a9d9ac0007854af93e" name="a164b28a72623e7a9d9ac0007854af93e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a164b28a72623e7a9d9ac0007854af93e">&#9670;&#160;</a></span>m_ExcludeQuantity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ReplaceItemWithNewLambda::m_ExcludeQuantity</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d98/_misc_gameplay_functions_8c_source.html#l00006">6</a> of file <a class="el" href="../../dc/d98/_misc_gameplay_functions_8c_source.html">MiscGameplayFunctions.c</a>.</p>

</div>
</div>
<a id="a0a836cd4526b2c08b3330f21056644b1" name="a0a836cd4526b2c08b3330f21056644b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a836cd4526b2c08b3330f21056644b1">&#9670;&#160;</a></span>m_IndexQB</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ReplaceItemWithNewLambda::m_IndexQB</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d2a/_replace_item_with_new_lambda_8c_source.html#l00007">7</a> of file <a class="el" href="../../de/d2a/_replace_item_with_new_lambda_8c_source.html">ReplaceItemWithNewLambda.c</a>.</p>

</div>
</div>
<a id="a91ff608df83af9d05a652cc78ed5f8bd" name="a91ff608df83af9d05a652cc78ed5f8bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91ff608df83af9d05a652cc78ed5f8bd">&#9670;&#160;</a></span>m_Player</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> ReplaceItemWithNewLambda::m_Player</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d2a/_replace_item_with_new_lambda_8c_source.html#l00006">6</a> of file <a class="el" href="../../de/d2a/_replace_item_with_new_lambda_8c_source.html">ReplaceItemWithNewLambda.c</a>.</p>

</div>
</div>
<a id="a38dcb9cc8f53fcd4e42b5ebe2e0d67da" name="a38dcb9cc8f53fcd4e42b5ebe2e0d67da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38dcb9cc8f53fcd4e42b5ebe2e0d67da">&#9670;&#160;</a></span>m_quantity_override</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> ReplaceItemWithNewLambda::m_quantity_override</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d98/_misc_gameplay_functions_8c_source.html#l00007">7</a> of file <a class="el" href="../../dc/d98/_misc_gameplay_functions_8c_source.html">MiscGameplayFunctions.c</a>.</p>

</div>
</div>
<a id="a295f8b679d27c5290e3815174dec12d1" name="a295f8b679d27c5290e3815174dec12d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a295f8b679d27c5290e3815174dec12d1">&#9670;&#160;</a></span>m_TransferAgents</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ReplaceItemWithNewLambda::m_TransferAgents</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d98/_misc_gameplay_functions_8c_source.html#l00003">3</a> of file <a class="el" href="../../dc/d98/_misc_gameplay_functions_8c_source.html">MiscGameplayFunctions.c</a>.</p>

</div>
</div>
<a id="a08cc096c7becdb5942b0cdcecf888b2f" name="a08cc096c7becdb5942b0cdcecf888b2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08cc096c7becdb5942b0cdcecf888b2f">&#9670;&#160;</a></span>m_TransferHealth</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ReplaceItemWithNewLambda::m_TransferHealth</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d98/_misc_gameplay_functions_8c_source.html#l00005">5</a> of file <a class="el" href="../../dc/d98/_misc_gameplay_functions_8c_source.html">MiscGameplayFunctions.c</a>.</p>

</div>
</div>
<a id="a43886a34883ab2f02c9415e8796ba408" name="a43886a34883ab2f02c9415e8796ba408"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43886a34883ab2f02c9415e8796ba408">&#9670;&#160;</a></span>m_TransferVariables</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ReplaceItemWithNewLambda::m_TransferVariables</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d98/_misc_gameplay_functions_8c_source.html#l00004">4</a> of file <a class="el" href="../../dc/d98/_misc_gameplay_functions_8c_source.html">MiscGameplayFunctions.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>scripts/4_World/Static/<a class="el" href="../../dc/d98/_misc_gameplay_functions_8c_source.html">MiscGameplayFunctions.c</a></li>
<li>scripts/4_World/Systems/Inventory/<a class="el" href="../../de/d2a/_replace_item_with_new_lambda_8c_source.html">ReplaceItemWithNewLambda.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dc/d3e/class_replace_item_with_new_lambda.html">ReplaceItemWithNewLambda</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
